Subject: bug#8508: 8 test failures on Fedora 15

From: Jim Meyering <[email-masked]>
Date: Sat, 16 Apr 2011 13:21:09 +0200

Stefano Lattarini wrote:

> On Saturday 16 April 2011, Jim Meyering wrote:
>> Stefano Lattarini wrote:
>> ...
>> >> FAIL: self-check-dir.test (exit: 1)
>> >> ===================================
>> ...
>> >> FAIL: self-check-me.test (exit: 1)
>> >> ==================================
>> ...
>>
>> > These failures are due to a known incompatibity in how Zsh handles $0.
>> > Anyway, currenty the automake testsuite does not support being run by
>> > Zsh, so these failures is not worth worrying about yet.
>>
>> If they're not worth worrying about now, then perhaps it'd
>> be better to skip them than to fail?
>>
> The fact is that, currently, the Automake test scripts are run with
> /bin/sh instead of with $SHELL, but the self-check-*.test tests have
> been written to use $SHELL to test testsuite internals.  I was hoping
> that this inconsistency would have soon been solved by the patch of
> mine that forced test scripts to run with configure-determined $SHELL,
> but that patch is still pending.

Oh, in that case I agree: improving the infrastructure seems better
than making the tests skip.

> See:
> <http://lists.gnu.org/archive/html/automake-patches/2011-01/msg00033.html>

There, you wrote that you were going to push Sunday night.
But that was over four months ago.
I guess there are still pending objections?